diff gettracks-lame.sh @ 2:5cead4da1db9

Initial import. Seems to work nicely.
author darius
date Wed, 09 Aug 2000 02:18:47 +0000
parents
children
line wrap: on
line diff
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/gettracks-lame.sh	Wed Aug 09 02:18:47 2000 +0000
@@ -0,0 +1,18 @@
+#!/bin/sh
+
+if [ $# -lt 1 ]; then
+  echo Usage: $0 \<tracknum\> [ \<tracknum\> ... ]
+  exit 1
+fi
+
+for t in $* ; do
+  num=`printf %02d $t`
+  name=`printf track_%s.mp3 $num`
+  echo Ripping $num to $name
+  (cdd -t $num - | sox -t cdr - -t wav - | lame -x -b 192 - $name) 2>> rip.log
+  if [ $? -ne 0 ]; then
+    echo "Failed!"
+    exit 1
+  fi
+done
+